<html>

<head>
  <meta charset="UTF-8">
  <title>Neural Network Pixel Prediction</title>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/p5.js/0.9.0/p5.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/p5.js/0.9.0/addons/p5.dom.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/p5.js/0.9.0/addons/p5.sound.min.js"></script>
  <script src="https://unpkg.com/ml5@0.4.0/dist/ml5.min.js" type="text/javascript"></script>
</head>

<body>
  <h1>Pixel Prediction</h1>
  <script src="sketch.js"></script>

  <p>
    Training frequency: <input id="frequency" value="440"  />
    <button id="addExample">add example</button>
  </p>
  <p>
    <button id="train">train model</button>
    Frequency prediction: <span id="prediction"></span>
  </p>
</body>

</html>